Add mechanic deployment
POST
/mechanic/{mechanicId}/deployment
Register a mechanic contract deployment on a specific chain. Upserts if a deployment already exists for the chain.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” mechanicId
required
string format: uuid
Request Body required
Section titled “Request Body required ”object
chainId
required
integer
address
required
string
Responses
Section titled “ Responses ”Updated mechanic with new deployment
object
id
required
string
slug
required
string
name
required
string
type
required
string
builtIn
required
boolean
deployments
required
Array<object>
object
id
required
string
chainId
required
integer
address
required
string
createdAt
required
string
updatedAt
required
string
Invalid request
Unauthorized
Forbidden
Not found